<?php
/**
 * 2007-2014 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * No redistribute in other sites, or copy.
 *
 * @author    RSI <rsi_2004@hotmail.com>
 * @copyright 2007-2015 RSI
 * @license   http://catalogo-onlinersi.net
 */

class Debug extends Module
{
	private $_html = '';
	private $_postErrors = array();

	public function __construct()
	{
		$this->name = 'debug';
		if (_PS_VERSION_ < '1.4.0.0')
		
			$this->tab = 'Tools';
		
		if (_PS_VERSION_ > '1.4.0.0')
		{
			$this->tab           = 'administration';
			$this->author        = 'RSI';
			$this->need_instance = 0;
		}
		
		if (_PS_VERSION_ > '1.6.0.0')
			$this->bootstrap = true;
		$this->version = '2.1.0';


		parent::__construct(); // The parent construct is required for translations

		$this->page        = basename(__FILE__, '.php');
		$this->displayName = $this->l('Debug');
		$this->description = $this->l('Enable debug options in config.inc.php/defines.inc.php file - www.catalogo-onlinersi.net');
		if (_PS_VERSION_ < '1.5')
			require(_PS_MODULE_DIR_.$this->name.'/backward_compatibility/backward.php');
	}
 public function hookHeader($params)
    {
	if (Configuration::get('DEBUG_ERRORJ') == 'false')
	return false;
 return $this->display(
                    __FILE__,
                    'views/templates/front/debug.tpl'
                );
	}
	public function install()
	{
		if (!parent::install() OR !$this->registerHook('header'))
			return false;
		if (!Configuration::updateValue('DEBUG_ERROR', 'off'))
			return false;
		if (!Configuration::updateValue('DEBUG_SQL', 'false'))
			return false;
		if (!Configuration::updateValue('DEBUG_MEMORY', '256M'))
			return false;
		if (_PS_VERSION_ < '1.5.0.0')
		{
			chmod('../config/config.inc.php', 0777);
			$str = '';
			if ($fh = fopen('../config/config.inc.php', 'r'))
			{
				while (!feof($fh))
				
					$str .= fgets($fh);
				
				$col    = 'off';
				$col2   = 'off';
				$memory = '256M';
				$err    = array(
					'ini_set(\'display_errors\', \'on\');',
					'ini_set(\'display_errors\', \'off\');'
				);
				$sq     = array(
					'define(\'_PS_DEBUG_SQL_\', true);',
					'define(\'_PS_DEBUG_SQL_\', false);'
				);
				$mem    = array(
					'ini_set(\'memory_limit\', \'8M\');',
					'ini_set(\'memory_limit\', \'16M\');',
					'ini_set(\'memory_limit\', \'32M\');',
					'ini_set(\'memory_limit\', \'64M\');',
					'ini_set(\'memory_limit\', \'128M\');',
					'ini_set(\'memory_limit\', \'256M\');',
					'ini_set(\'memory_limit\', \'512M\');',
					'ini_set(\'memory_limit\', \'1024M\');'
				);

				$str = str_replace('<?php', '<?php ini_set(\'memory_limit\', \''.$memory.'\');', $str);
				$str = str_replace($err, 'ini_set(\'display_errors\', \''.$col.'\');', $str);
				$str = str_replace($sq, 'define(\'_PS_DEBUG_SQL_\', \''.$col2.'\');', $str);
				fclose($fh);
				@chmod('../config/config.inc.php', 0644);
				$x42 = fopen('../config/config.inc.php', 'w');
				fwrite($x42, $str);

			}
		}
		else
		{
			chmod('../config/defines.inc.php', 0777);
			$str = '';
			if ($fh = fopen('../config/defines.inc.php', 'r'))
			{
				while (!feof($fh))
				
					$str .= fgets($fh);
				
				$col    = 'false';
				$col2   = 'false';
				$memory = '256M';
				$err    = array(
					'define(\'_PS_MODE_DEV_\', true);',
					'define(\'_PS_MODE_DEV_\', false);'
				);
				//$sq = array ('define(\'_PS_DEBUG_SQL_\', true);','define(\'_PS_DEBUG_SQL_\', false);');
				$mem = array(
					'ini_set(\'memory_limit\', \'8M\');',
					'ini_set(\'memory_limit\', \'16M\');',
					'ini_set(\'memory_limit\', \'32M\');',
					'ini_set(\'memory_limit\', \'64M\');',
					'ini_set(\'memory_limit\', \'128M\');',
					'ini_set(\'memory_limit\', \'256M\');',
					'ini_set(\'memory_limit\', \'512M\');',
					'ini_set(\'memory_limit\', \'1024M\');'
				);

				$str = str_replace('<?php', '<?php ini_set(\'memory_limit\', \''.$memory.'\');', $str);
				$str = str_replace($err, 'define(\'_PS_MODE_DEV_\', '.$col.');', $str);
				//	$str = str_replace($sq,'define(\'_PS_DEBUG_SQL_\', '.$col2.');', $str);
				fclose($fh);
				@chmod('../config/defines.inc.php', 0644);
				$x42 = fopen('../config/defines.inc.php', 'w');
				fwrite($x42, $str);

			}
		}
		return true;

	}

	public function postProcess()
	{
		$errors = '';
		$output = '';
		
		if (Tools::isSubmit('submitCustomize'))
		{


			if ($error = Tools::getValue('error'))
				Configuration::updateValue('DEBUG_ERROR', $error);
			elseif (Shop::getContext() == Shop::CONTEXT_SHOP || Shop::getContext() == Shop::CONTEXT_GROUP)
				Configuration::deleteFromContext('DEBUG_ERROR');
			if ($memory = Tools::getValue('memory'))
				Configuration::updateValue('DEBUG_MEMORY', $memory);
			elseif (Shop::getContext() == Shop::CONTEXT_SHOP || Shop::getContext() == Shop::CONTEXT_GROUP)
				Configuration::deleteFromContext('DEBUG_MEMORY');
		if ($errorj = Tools::getValue('errorj'))
				Configuration::updateValue('DEBUG_ERRORJ', $errorj);
			elseif (Shop::getContext() == Shop::CONTEXT_SHOP || Shop::getContext() == Shop::CONTEXT_GROUP)
				Configuration::deleteFromContext('DEBUG_ERRORJ');
			chmod('../config/defines.inc.php', 0777);
			$str = '';
			if ($fh = fopen('../config/defines.inc.php', 'r'))
			{
				while (!feof($fh))
				
					$str .= fgets($fh);
				
				$col  = $error;
				
				$err  = array(
					'define(\'_PS_MODE_DEV_\', true);',
					'define(\'_PS_MODE_DEV_\', false);'
				);
				//$sq = array ('define(\'_PS_DEBUG_SQL_\', true);','define(\'_PS_DEBUG_SQL_\', false);');
				$mem = array(
					'ini_set(\'memory_limit\', \'8M\');',
					'ini_set(\'memory_limit\', \'16M\');',
					'ini_set(\'memory_limit\', \'32M\');',
					'ini_set(\'memory_limit\', \'64M\');',
					'ini_set(\'memory_limit\', \'128M\');',
					'ini_set(\'memory_limit\', \'256M\');',
					'ini_set(\'memory_limit\', \'512M\');',
					'ini_set(\'memory_limit\', \'1024M\');'
				);
				//$str = str_replace($sq,'define(\'_PS_DEBUG_SQL_\', '.$col2.');', $str);
				$str = str_replace($err, 'define(\'_PS_MODE_DEV_\', '.$col.');', $str);
				$str = str_replace($mem, 'ini_set(\'memory_limit\', \''.$memory.'\');', $str);

				fclose($fh);
				@chmod('../config/defines.inc.php', 0644);
				$x42 = fopen('../config/defines.inc.php', 'w');
				fwrite($x42, $str);
			}

			$output .= $this->displayConfirmation($this->l('Settings updated.').'<br/>');

			//if (!$errors)
			return $output;

		}
	}

	public function getConfigFieldsValues()
	{
		$fields_values = array(
			'error'  => Tools::getValue('error', Configuration::get('DEBUG_ERROR')),
			'memory' => Tools::getValue('memory', Configuration::get('DEBUG_MEMORY')),
			'errorj' => Tools::getValue('errorj', Configuration::get('DEBUG_ERRORJ')),

		);
		return $fields_values;
	}

	public function renderForm()
	{
		$this->postProcess();
		if (file_exists('../error_log')) {
  $msg = $this->l('You have a error_log file in root folder. Downlaod and open it to check the errors');
} else {
  $msg = $this->l('../error_log');
}
		$options1 = array(
			array(
				'id_option' => 'true',
				// The value of the 'value' attribute of the <option> tag.
				'name'      => 'true'
				// The value of the text content of the  <option> tag.
			),
			array(
				'id_option' => 'false',
				'name'      => 'false'
			),

		);
		$options2 = array(
			array(
				'id_option' => '16M',
				// The value of the 'value' attribute of the <option> tag.
				'name'      => '16M'
				// The value of the text content of the  <option> tag.
			),
			array(
				'id_option' => '32M',
				'name'      => '32M'
			),
			array(
				'id_option' => '64M',
				'name'      => '64M'
			),
			array(
				'id_option' => '128M',
				'name'      => '128M'
			),
			array(
				'id_option' => '256M',
				'name'      => '256M'
			),
			array(
				'id_option' => '512M',
				'name'      => '512M'
			),
			array(
				'id_option' => '1024M',
				'name'      => '1024M'
			),

		);

		$fields_form                      = array(
			'form' => array(
				'legend' => array(
					'title' => $this->l('Configuration'),
					'icon'  => 'icon-cogs'
				
				),	
				'description'  => $msg,
				'input'  => array(

					array(
						'type'    => 'select',
						'label'   => $this->l('Enable display errors for debugging:'),
						'name'    => 'error',
						/*'desc'    => $this->l('This disable the customize tab in bottom of product page'),*/
						'options' => array(
							'query' => $options1,
							'id'    => 'id_option',
							'name'  => 'name'
						)
					),
					array(
						'type'    => 'select',
						'label'   => $this->l('Increase memory limit'),
						'name'    => 'memory',
						/*'desc'    => $this->l('This disable the customize tab in bottom of product page'),*/
						'options' => array(
							'query' => $options2,
							'id'    => 'id_option',
							'name'  => 'name'
						)
					),
										array(
						'type'    => 'select',
						'label'   => $this->l('Show javascript errors on front office:'),
						'name'    => 'errorj',
						'desc'    => $this->l('Show a popup in the front office with any JS error (for a better debug)'),
						'options' => array(
							'query' => $options1,
							'id'    => 'id_option',
							'name'  => 'name'
						)
					),

					/**/



				),
				'submit' => array(
					'title' => $this->l('Save'),
				)

			),

		);
		$helper                           = new HelperForm();
		$helper->show_toolbar             = true;
		$helper->table                    = $this->table;
		$lang                             = new Language((int)Configuration::get('PS_LANG_DEFAULT'));
		$helper->default_form_language    = $lang->id;
		$helper->allow_employee_form_lang = Configuration::get('PS_BO_ALLOW_EMPLOYEE_F||M_LANG') ? Configuration::get('PS_BO_ALLOW_EMPLOYEE_F||M_LANG') : 0;
		$this->fields_form                = array();
		$helper->identifier               = $this->identifier;
		$helper->submit_action            = 'submitCustomize';
		$helper->currentIndex             = $this->context->link->getAdminLink('AdminModules', false).'&configure='.$this->name.'&tab_module='.$this->tab.'&module_name='.$this->name;

		$helper->token    = Tools::getAdminTokenLite('AdminModules');
		$helper->tpl_vars = array(
			'fields_value' => $this->getConfigFieldsValues(),
			'languages'    => $this->context->controller->getLanguages(),
			'id_language'  => $this->context->language->id
		);
		return $helper->generateForm(array($fields_form));
	}

	private function _displayInfo()
	{
		return $this->display(__FILE__, 'views/templates/hook/infos.tpl');
	}

	private function _displayAdds()
	{
        $this->context->smarty->assign('psversion', _PS_VERSION_);
		return $this->display(__FILE__, 'views/templates/hook/adds.tpl');
	}

	public function getContent()
	{
		$errors = '';
		if (_PS_VERSION_ < '1.5.0.0')
		{
			$output = '<h2>'.$this->displayName.'</h2>';
			if (Tools::isSubmit('submitDebug'))
			{

				if ($errors)
					$output .= $this->displayError(implode('<br />', $errors));

				else
				$error = Tools::getValue('error');
				Configuration::updateValue('DEBUG_ERROR', $error);
$errorj = Tools::getValue('errorj');
				Configuration::updateValue('DEBUG_ERRORJ', $errorj);
				$sql = Tools::getValue('sql');
				Configuration::updateValue('DEBUG_SQL', $sql);
				$memory = Tools::getValue('memory');
				Configuration::updateValue('DEBUG_MEMORY', $memory);
				if (_PS_VERSION_ < '1.5.0.0')
				{
					chmod('../config/config.inc.php', 0777);
					$str = '';
					if ($fh = fopen('../config/config.inc.php', 'r'))
					{
						while (!feof($fh))
						
							$str .= fgets($fh);
						
						$col  = $error;
						$col2 = $sql;
						$err  = array(
							'ini_set(\'display_errors\', \'on\');',
							'ini_set(\'display_errors\', \'off\');'
						);
						$sq   = array(
							'define(\'_PS_DEBUG_SQL_\', true);',
							'define(\'_PS_DEBUG_SQL_\', false);'
						);
						$mem  = array(
							'ini_set(\'memory_limit\', \'8M\');',
							'ini_set(\'memory_limit\', \'16M\');',
							'ini_set(\'memory_limit\', \'32M\');',
							'ini_set(\'memory_limit\', \'64M\');',
							'ini_set(\'memory_limit\', \'128M\');',
							'ini_set(\'memory_limit\', \'256M\');',
							'ini_set(\'memory_limit\', \'512M\');',
							'ini_set(\'memory_limit\', \'1024M\');'
						);
						$str  = str_replace($sq, 'define(\'_PS_DEBUG_SQL_\', '.$col2.');', $str);
						$str  = str_replace($err, 'ini_set(\'display_errors\', \''.$col.'\');', $str);
						$str  = str_replace($mem, 'ini_set(\'memory_limit\', \''.$memory.'\');', $str);

						fclose($fh);
						@chmod('../config/config.inc.php', 0644);
						$x42 = fopen('../config/config.inc.php', 'w');
						fwrite($x42, $str);

					}
				}
				else
				{
					chmod('../config/defines.inc.php', 0777);
					$str = '';
					if ($fh = fopen('../config/defines.inc.php', 'r'))
					{
						while (!feof($fh))
						
							$str .= fgets($fh);
						
						$col  = $error;
						$col2 = $sql;
						$err  = array(
							'define(\'_PS_MODE_DEV_\', true);',
							'define(\'_PS_MODE_DEV_\', false);'
						);
						//$sq = array ('define(\'_PS_DEBUG_SQL_\', true);','define(\'_PS_DEBUG_SQL_\', false);');
						$mem = array(
							'ini_set(\'memory_limit\', \'8M\');',
							'ini_set(\'memory_limit\', \'16M\');',
							'ini_set(\'memory_limit\', \'32M\');',
							'ini_set(\'memory_limit\', \'64M\');',
							'ini_set(\'memory_limit\', \'128M\');',
							'ini_set(\'memory_limit\', \'256M\');',
							'ini_set(\'memory_limit\', \'512M\');',
							'ini_set(\'memory_limit\', \'1024M\');'
						);
						//$str = str_replace($sq,'define(\'_PS_DEBUG_SQL_\', '.$col2.');', $str);
						$str = str_replace($err, 'define(\'_PS_MODE_DEV_\', '.$col.');', $str);
						$str = str_replace($mem, 'ini_set(\'memory_limit\', \''.$memory.'\');', $str);

						fclose($fh);
						@chmod('../config/defines.inc.php', 0644);
						$x42 = fopen('../config/defines.inc.php', 'w');
						fwrite($x42, $str);

					}
				}
				$output .= $this->displayConfirmation($this->l('Configuration updated-> Display errors='.$error.', Show Sql errors:'.$sql.''));

			}
			return $output.$this->displayForm();
		}
		else
			return $this->_displayInfo().$this->renderForm().$this->_displayAdds();

	}

	public function uninstall()
	{
		if (parent::uninstall() == false)
			return false;
		if (!Configuration::deleteByName('DEBUG_ERROR') || !parent::uninstall())
			return false;
		if (_PS_VERSION < '1.5.0.0')
		{
			chmod('../config/config.inc.php', 0777);
			$str = '';
			if ($fh = fopen('../config/config.inc.php', 'r'))
			{
				while (!feof($fh))
				
					$str .= fgets($fh);
				
				$col  = Configuration::get('DEBUG_ERROR', $col);
				$col2 = Configuration::get('DEBUG_SQL', $col2);
				$err  = array(
					'ini_set(\'display_errors\', \'on\');',
					'ini_set(\'display_errors\', \'off\');'
				);
				$sq   = array(
					'define(\'_PS_DEBUG_SQL_\', true);',
					'define(\'_PS_DEBUG_SQL_\', false);'
				);
				$mem  = array(
					'ini_set(\'memory_limit\', \'8M\');',
					'ini_set(\'memory_limit\', \'16M\');',
					'ini_set(\'memory_limit\', \'32M\');',
					'ini_set(\'memory_limit\', \'64M\');',
					'ini_set(\'memory_limit\', \'128M\');',
					'ini_set(\'memory_limit\', \'256M\');',
					'ini_set(\'memory_limit\', \'512M\');',
					'ini_set(\'memory_limit\', \'1024M\');'
				);
				$str  = str_replace($err, 'ini_set(\'display_errors\', \'off\');', $str);
				$str  = str_replace($sq, 'define(\'_PS_DEBUG_SQL_\', false);', $str);
				$str  = str_replace($mem, '', $str);
				fclose($fh);
				@chmod('../config/config.inc.php', 0644);
				$x42 = fopen('../config/config.inc.php', 'w');
				fwrite($x42, $str);

			}
		}
		else
		{
			chmod('../config/defines.inc.php', 0777);
			$str = '';
			if ($fh = fopen('../config/defines.inc.php', 'r'))
			{
				while (!feof($fh))
				
					$str .= fgets($fh);
				
				$col  = Configuration::get('DEBUG_ERROR', $col);
				$col2 = Configuration::get('DEBUG_SQL', $col2);
				$err  = array(
					'define(\'_PS_MODE_DEV_\', true);',
					'ini_set(\'display_errors\', false);'
				);
				//$sq = array ('define(\'_PS_DEBUG_SQL_\', true);','define(\'_PS_DEBUG_SQL_\', false);');
				$mem = array(
					'ini_set(\'memory_limit\', \'8M\');',
					'ini_set(\'memory_limit\', \'16M\');',
					'ini_set(\'memory_limit\', \'32M\');',
					'ini_set(\'memory_limit\', \'64M\');',
					'ini_set(\'memory_limit\', \'128M\');',
					'ini_set(\'memory_limit\', \'256M\');',
					'ini_set(\'memory_limit\', \'512M\');',
					'ini_set(\'memory_limit\', \'1024M\');'
				);
				$str = str_replace($err, 'define(\'_PS_MODE_DEV_\', false);', $str);
				//	$str = str_replace($sq,'define(\'_PS_DEBUG_SQL_\', false);', $str);
				$str = str_replace($mem, '', $str);
				fclose($fh);
				@chmod('../config/defines.inc.php', 0644);
				$x42 = fopen('../config/defines.inc.php', 'w');
				fwrite($x42, $str);

			}
		}
		return true;
	}

	public function displayForm()
	{
				if (file_exists('../error_log')) {
  $msg = $this->l('You have a error_log file in root folder. Downlaod and open it to check the errors');
} else {
  $msg = $this->l('');
}
		$output = '
		
		<form method="post" onsubmit="debug(); ">
		
			<fieldset><legend><img src="'.$this->_path.'img/png.png" alt="" title="" />'.$this->l('Settings').'</legend>
			<p>'.$msg.'</p>
		<label style="width:300px">'.$this->l('Enable display errors for debugging:').'</label>
		
	<div class="margin-form">
  <select name="error" >
  <option value="'.(_PS_VERSION_ < '1.5.0.0' ? 'on' : 'true').'"'.((Configuration::get('DEBUG_ERROR') == (_PS_VERSION_ < '1.5.0.0' ? 'on' : 'true')) ? 'selected="selected"' : '').'>on</option>
	  <option value="'.(_PS_VERSION_ < '1.5.0.0' ? 'off' : 'false').'"'.((Configuration::get('DEBUG_ERROR') == (_PS_VERSION_ < '1.5.0.0' ? 'off' : 'false')) ? 'selected="selected"' : '').'>off</option>
	 
    </select>

		
		</div>	
		<label style="width:300px">'.$this->l('Show javascript errors on front office:').'</label>
		
	<div class="margin-form">
  <select name="errorj" >
  <option value="'.(_PS_VERSION_ < '1.5.0.0' ? 'true' : 'true').'"'.((Configuration::get('DEBUG_ERRORJ') == (_PS_VERSION_ < '1.5.0.0' ? 'true' : 'true')) ? 'selected="selected"' : '').'>on</option>
	  <option value="'.(_PS_VERSION_ < '1.5.0.0' ? 'false' : 'false').'"'.((Configuration::get('DEBUG_ERRORJ') == (_PS_VERSION_ < '1.5.0.0' ? 'false' : 'false')) ? 'selected="selected"' : '').'>off</option>
	 
    </select>

		
		</div>	
		
		';
		if (_PS_VERSION_ < '1.5.0.0')
		{
			$output .= '	<label style="width:300px">'.$this->l('Display SQL errors?').'</label>
			<div class="margin-form">
  <select name="sql" >
  <option value="true"'.((Configuration::get('DEBUG_SQL') == 'true') ? 'selected="selected"' : '').'>on</option>
	  <option value="false"'.((Configuration::get('DEBUG_SQL') == 'false') ? 'selected="selected"' : '').'>off</option>
    </select>
		</div>';
		}
		$output .= '<label style="width:300px">'.$this->l('Increase memory limit').'</label>
			<div class="margin-form">
  <select name="memory" >
 
<option value="16M"'.((Configuration::get('DEBUG_MEMORY') == '16M') ? 'selected="selected"' : '').'>16M</option>
<option value="32M"'.((Configuration::get('DEBUG_MEMORY') == '32M') ? 'selected="selected"' : '').'>32M</option>
<option value="64M"'.((Configuration::get('DEBUG_MEMORY') == '64M') ? 'selected="selected"' : '').'>64M</option>
<option value="128M"'.((Configuration::get('DEBUG_MEMORY') == '128M') ? 'selected="selected"' : '').'>128M</option>
<option value="256M"'.((Configuration::get('DEBUG_MEMORY') == '256M') ? 'selected="selected"' : '').'>256M</option>
<option value="512M"'.((Configuration::get('DEBUG_MEMORY') == '512M') ? 'selected="selected"' : '').'>512M</option>
<option value="1024M"'.((Configuration::get('DEBUG_MEMORY') == '1024M') ? 'selected="selected"' : '').'>1024M</option>
	 
    </select>

		
		</div>
	<p>"'.$this->l('Recomended value:256M. If use a less value, maybe modules dont load, Increase the value if have a lot of modules or memory limit problems. If have problems, always can edit the config/config.inc.php file').'"</p>

				<center><input type="submit" name="submitDebug" value="'.$this->l('Save').'" class="button" /></center><br/>
			<center>	<a href="../modules/debug/moduleinstall.pdf">README</a> / 
		<a href="../modules/debug/termsandconditions.pdf">TERMS</a></center><br/>
				
				<center> <p><a href="http://www.prestashop.com/forums/topic/147443-modulo-debug-v12-habilita-la-revision-de-errores-desde-en-back-office-ps-1315/" target="_blank">Soporte</a> -
 <a href="http://www.prestashop.com/forums/topic/147440-module-debug-v12-enable-debug-from-back-office-ps1315/" target="_blank">Support</a></p></center><br/><br/>

<center> <p><a href="http://catalogo-onlinersi.net/en/tutorials/305-prestamagazine-n3-debug-errors.html" target="_blank">Tutorial</a></p></center><br/><br/>
				
				

		Video demo:<br/>
	<iframe width="560" height="315" src="https://www.youtube.com/embed/lnhMiZEl5c8" frameborder="0" allowfullscreen></iframe><br/>
	Other products:<br/>
	<object type="text/html" data="http://catalogo-onlinersi.net/modules/productsanywhere/images.php?idproduct=&desc=yes&buy=yes&type=home_default&price=yes&style=false&color=10&color2=40&bg=ffffff&width=800&height=310&lc=000000&speed=5&qty=15&skip=29,14,42,44,45&sort=1" width="800" height="310" style="border:0px #066 solid;"></object>
				
			</fieldset>						
		</form>
		<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
			<fieldset><legend><img src="'.$this->_path.'logo.gif" alt="" title="" />'.$this->l('Contribute').'</legend>
				<p class="clear">'.$this->l('You can contribute with a donation if our free modules and themes are usefull for you. Clic on the link and support us!').'</p>
				<p class="clear">'.$this->l('For more modules & themes visit: www.catalogo-onlinersi.net').'</p>
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="HMBZNQAHN9UMJ">
<input type="image" src="https://www.paypalobjects.com/WEBSCR-640-20110401-1/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
<img alt="" border="0" src="https://www.paypalobjects.com/WEBSCR-640-20110401-1/en_US/i/scr/pixel.gif" width="1" height="1">
	</fieldset>
</form>';
		return $output;
	}

}